//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.01.10 at 02:44:37 PM CET 
//


package net.ihe.gazelle.model.utils;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}identifier"/&gt;
 *         &lt;element ref="{}path"/&gt;
 *         &lt;element ref="{}relativeXMIPath"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "identifier",
    "path",
    "relativeXMIPath",
    "templateIdentifierUMLID"
})
@XmlRootElement(name = "modelUMLDesc")
public class ModelUMLDesc {

    @XmlElement(required = true)
    private String identifier;
    @XmlElement(required = true)
    private String path;
    @XmlElement(required = true)
    private String relativeXMIPath;
    @XmlElement(required = false)
    private List<String> templateIdentifierUMLID;

    /**
     * <p>Getter for the field <code>templateIdentifierUMLID</code>.</p>
     *
     * @return a {@link List} object.
     */
    public List<String> getTemplateIdentifierUMLID() {
    	if (templateIdentifierUMLID == null) {
    		templateIdentifierUMLID = new ArrayList<>();
    	}
		return templateIdentifierUMLID;
	}

	/**
	 * <p>Setter for the field <code>templateIdentifierUMLID</code>.</p>
	 *
	 * @param templateIdentifierUMLID a {@link List} object.
	 */
	public void setTemplateIdentifierUMLID(List<String> templateIdentifierUMLID) {
		this.templateIdentifierUMLID = templateIdentifierUMLID;
	}

    /**
     * Gets the value of the identifier property.
     *
     * @return a {@link String} object.
     */
    public String getIdentifier() {
        return identifier;
    }

    /**
     * Sets the value of the identifier property.
     *
     * @param value
     *     allowed object is
     *     {@link String}
     */
    public void setIdentifier(String value) {
        this.identifier = value;
    }

    /**
     * Gets the value of the path property.
     *
     * @return a {@link String} object.
     */
    public String getPath() {
        return path;
    }

    /**
     * Sets the value of the path property.
     *
     * @param value
     *     allowed object is
     *     {@link String}
     */
    public void setPath(String value) {
        this.path = value;
    }

    /**
     * Gets the value of the relativeXMIPath property.
     *
     * @return a {@link String} object.
     */
    public String getRelativeXMIPath() {
        return relativeXMIPath;
    }

    /**
     * Sets the value of the relativeXMIPath property.
     *
     * @param value
     *     allowed object is
     *     {@link String}
     */
    public void setRelativeXMIPath(String value) {
        this.relativeXMIPath = value;
    }

}
